> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Get Connection Schema

GET https://integrations/accounts/connect/nmi

Returns the credential field schema for a non-OAuth platform. The frontend uses this to dynamically render the connection form.

Replace 'nmi' in the URL with any non-OAuth platform slug (e.g., twilio, shopmonkey).

OAuth platforms (quickbooks, stripe, google, etc.) will return 422 with a message to use the OAuth authorize flow instead.

Reference: https://docs.itspropel.com/propel-biz/16-integrations/api-key-connections/get-connection-schema

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /integrations/accounts/connect/nmi:
    get:
      operationId: get-connection-schema
      summary: Get Connection Schema
      description: >-
        Returns the credential field schema for a non-OAuth platform. The
        frontend uses this to dynamically render the connection form.


        Replace 'nmi' in the URL with any non-OAuth platform slug (e.g., twilio,
        shopmonkey).


        OAuth platforms (quickbooks, stripe, google, etc.) will return 422 with
        a message to use the OAuth authorize flow instead.
      tags:
        - subpackage_16Integrations.subpackage_16Integrations/apiKeyConnections
      parameters:
        - name: '{{tenant_key_name}}'
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/16 Integrations_API Key Connections_Get
                  Connection Schema_Response_200
servers:
  - url: https:/
components:
  schemas:
    16 Integrations_API Key Connections_Get Connection Schema_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 16 Integrations_API Key Connections_Get Connection Schema_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/integrations/accounts/connect/nmi"

payload = {}
headers = {
    "{{tenant_key_name}}": "{{tenant_key_value1}}|{{tenant_key_value2}}",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/integrations/accounts/connect/nmi';
const options = {
  method: 'GET',
  headers: {
    '{{tenant_key_name}}': '{{tenant_key_value1}}|{{tenant_key_value2}}',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/integrations/accounts/connect/nmi"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/integrations/accounts/connect/nmi")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["{{tenant_key_name}}"] = '{{tenant_key_value1}}|{{tenant_key_value2}}'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/integrations/accounts/connect/nmi")
  .header("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/integrations/accounts/connect/nmi', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    '{{tenant_key_name}}' => '{{tenant_key_value1}}|{{tenant_key_value2}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/integrations/accounts/connect/nmi");
var request = new RestRequest(Method.GET);
request.AddHeader("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "{{tenant_key_name}}": "{{tenant_key_value1}}|{{tenant_key_value2}}",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/integrations/accounts/connect/nmi")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```